package com.bonus.canteen.core.menu.dto;

import java.util.List;

public class GetRecipeDTO {
   private Long recipeId;
   private Integer recipeType;
   private List<Integer> weeks;
   private Boolean isComplete;
   private MenuRecipeAddDTO menuRecipeV2Add;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getRecipeType() {
      return this.recipeType;
   }

   public List<Integer> getWeeks() {
      return this.weeks;
   }

   public Boolean getIsComplete() {
      return this.isComplete;
   }

   public MenuRecipeAddDTO getMenuRecipeV2Add() {
      return this.menuRecipeV2Add;
   }

   public GetRecipeDTO setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
      return this;
   }

   public GetRecipeDTO setRecipeType(final Integer recipeType) {
      this.recipeType = recipeType;
      return this;
   }

   public GetRecipeDTO setWeeks(final List<Integer> weeks) {
      this.weeks = weeks;
      return this;
   }

   public GetRecipeDTO setIsComplete(final Boolean isComplete) {
      this.isComplete = isComplete;
      return this;
   }

   public GetRecipeDTO setMenuRecipeV2Add(final MenuRecipeAddDTO menuRecipeV2Add) {
      this.menuRecipeV2Add = menuRecipeV2Add;
      return this;
   }
}
